### Method

# MalcontentUi UserControls set_app_filter

since: 0.5.0

#### Declaration [src]

    void
    mct_user_controls_set_app_filter (
      MctUserControls* self,
      MctAppFilter* app_filter
    )

#### Description [src]

Set the value of `MctUserControls:app-filter`.

This will overwrite any user changes to the controls, so they should be saved first using `mct_user_controls_build_app_filter()` if desired. They will be saved automatically if `MctUserControls:user` is set.

Available since: 0.5.0

Sets property | `MalcontentUi.UserControls:app-filter`

#### Parameters

`app_filter`

  Type: `MctAppFilter`

  The app filter to configure the user controls from, or `NULL` if unknown.

  The argument can be `NULL`.
  The data is owned by the caller of the method.